---
title: Assign Project to Chat
description: Links an existing v0 project to a specific chat. Helps group conversations under a shared project context.
docs_index: /docs/llms.txt
lastUpdated: 2026-10-23
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Links an existing v0 project to a specific chat. Helps group conversations under a shared project context.

#### `POST /v1/projects/{projectId}/assign`

> **Deprecated**: v0 Projects are deprecated. To connect a chat to Vercel infrastructure, create a Vercel project for the chat with [Create Vercel Project](/docs/api/v2/reference/chats/create-vercel-project). Use [Update Chat](/docs/api/v2/reference/chats/update-chat) to group related chats using custom metadata.

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.projects.assign({
  projectId: '123',
  chatId: '123',
})

console.log(result)
```

```bash
curl -X POST https://api.v0.dev/v1/projects/123/assign   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"   -d '{
    "chatId": "123"
  }'
```

## API Signature

### Request

#### Path Parameters

- `projectId: string` The ID of the project to assign.

#### Body

- `chatId: string` The ID of the chat to assign the project to.

### Response

- `object: 'project'`
- `id: string`
- `assigned: 'true'`

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)